Subject: Re: kernel warning in tcp_fragment

From: Grant Zhang <[email-masked]>
Date: Tue, 1 Sep 2015 16:02:33 -0700

Hi Martin,

I did try out your v2 patch on our production server and can confirm 
that the patch gets rid of the WARN_ON trace.

I would really like to see the issue been fixed by upstream(and 
backported to kernel longterm tree 3.14)--either by this patch or 
something else. Is there a plan for this?

Thanks,

Grant

On 12/08/2015 20:45, Martin KaFai Lau wrote:
> On Mon, Aug 10, 2015 at 02:35:37PM -0400, Neal Cardwell wrote:
>> On Mon, Aug 10, 2015 at 2:10 PM, Jovi Zhangwei <[email-masked]> wrote:
>>>
>>> Ping?
>>>
>>> We saw a lot of this warnings in our production system. It would be
>>> great appreciate if someone can give us the fix on this warnings. :)
>>
>> What is your net.ipv4.tcp_mtu_probing setting? If 1, have you tried
>> setting it to 0?
>
> Hi Jovi, If setting net.ipv4.tcp_mtu_probing=0 helps, can you give the
> patch we posted earlier a try: https://patchwork.ozlabs.org/patch/481609/
> It is the same patch that I pointed out earlier. You can click
> on the download link.
>
> We are currently using a similar patch while keeping net.ipv4.tcp_mtu_probing=1.
>
> Thanks,
> --Martin
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>